# \Thelia\ModelAttributeQuery

Skeleton subclass for performing query and update operations on the 'attribute' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByAttributeAv()
joinAttributeAv()
useAttributeAvQuery()
filterByAttributeCombination()
joinAttributeCombination()
useAttributeCombinationQuery()
filterByAttributeCategory()
joinAttributeCategory()
useAttributeCategoryQuery()
filterByAttributeI18n()
joinAttributeI18n()
useAttributeI18nQuery()
filterByCategory()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
joinI18n()
joinWithI18n()
useI18nQuery()
orderById()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinAttributeAv()
rightJoinAttributeAv()
innerJoinAttributeAv()
leftJoinAttributeCombination()
rightJoinAttributeCombination()
innerJoinAttributeCombination()
leftJoinAttributeCategory()
rightJoinAttributeCategory()
innerJoinAttributeCategory()
leftJoinAttributeI18n()
rightJoinAttributeI18n()
innerJoinAttributeI18n()
findOne()
findOneOrCreate()
findOneById()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/AttributeQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\AttributeQuery
  \Thelia\Model\AttributeQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\AttributeQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\AttributeQuery

Returns a new ChildAttributeQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\AttributeQuery

#

static

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Attribute|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Attribute|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\AttributeQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\AttributeQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### filterByAttributeAv()

    filterByAttributeAv(\Thelia\Model\AttributeAv|\Propel\Runtime\Collection\ObjectCollection $attributeAv, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query by a related \Thelia\Model\AttributeAv object

#### Parameters

\Thelia\Model\AttributeAv|\Propel\Runtime\Collection\ObjectCollection | $attributeAv | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### joinAttributeAv()

    joinAttributeAv(string $relationAlias, string $joinType) : \Thelia\Model\AttributeQuery

Adds a JOIN clause to the query using the AttributeAv relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### useAttributeAvQuery()

    useAttributeAvQuery(string $relationAlias, string $joinType) : \Thelia\Model\AttributeAvQuery

Use the AttributeAv relation AttributeAv object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeAvQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\AttributeQuery
See also

## Tags

None found

### filterByAttributeCombination()

    filterByAttributeCombination(\Thelia\Model\AttributeCombination|\Propel\Runtime\Collection\ObjectCollection $attributeCombination, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query by a related \Thelia\Model\AttributeCombination object

#### Parameters

\Thelia\Model\AttributeCombination|\Propel\Runtime\Collection\ObjectCollection | $attributeCombination | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### joinAttributeCombination()

    joinAttributeCombination(string $relationAlias, string $joinType) : \Thelia\Model\AttributeQuery

Adds a JOIN clause to the query using the AttributeCombination relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### useAttributeCombinationQuery()

    useAttributeCombinationQuery(string $relationAlias, string $joinType) : \Thelia\Model\AttributeCombinationQuery

Use the AttributeCombination relation AttributeCombination object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeCombinationQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\AttributeQuery
See also

## Tags

None found

### filterByAttributeCategory()

    filterByAttributeCategory(\Thelia\Model\AttributeCategory|\Propel\Runtime\Collection\ObjectCollection $attributeCategory, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query by a related \Thelia\Model\AttributeCategory object

#### Parameters

\Thelia\Model\AttributeCategory|\Propel\Runtime\Collection\ObjectCollection | $attributeCategory | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### joinAttributeCategory()

    joinAttributeCategory(string $relationAlias, string $joinType) : \Thelia\Model\AttributeQuery

Adds a JOIN clause to the query using the AttributeCategory relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### useAttributeCategoryQuery()

    useAttributeCategoryQuery(string $relationAlias, string $joinType) : \Thelia\Model\AttributeCategoryQuery

Use the AttributeCategory relation AttributeCategory object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeCategoryQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\AttributeQuery
See also

## Tags

None found

### filterByAttributeI18n()

    filterByAttributeI18n(\Thelia\Model\AttributeI18n|\Propel\Runtime\Collection\ObjectCollection $attributeI18n, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query by a related \Thelia\Model\AttributeI18n object

#### Parameters

\Thelia\Model\AttributeI18n|\Propel\Runtime\Collection\ObjectCollection | $attributeI18n | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### joinAttributeI18n()

    joinAttributeI18n(string $relationAlias, string $joinType) : \Thelia\Model\AttributeQuery

Adds a JOIN clause to the query using the AttributeI18n relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### useAttributeI18nQuery()

    useAttributeI18nQuery(string $relationAlias, string $joinType) : \Thelia\Model\AttributeI18nQuery

Use the AttributeI18n relation AttributeI18n object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeI18nQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\AttributeQuery
See also

## Tags

None found

### filterByCategory()

    filterByCategory(\Thelia\Model\Base\Category $category, string $comparison) : \Thelia\Model\AttributeQuery

Filter the query by a related Category object using the attribute_category table as cross reference

#### Parameters

\Thelia\Model\Base\Category | $category | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### prune()

    prune(\Thelia\Model\Attribute $attribute) : \Thelia\Model\AttributeQuery

Exclude object from result

#### Parameters

\Thelia\Model\Attribute | $attribute | Object to remove from the list of results

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the attribute table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildAttribute or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\AttributeQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\AttributeQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\AttributeQuery

Order by update date desc

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\AttributeQuery

Order by update date asc

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\AttributeQuery

Order by create date desc

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\AttributeQuery

Order by create date asc

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### joinI18n()

    joinI18n(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\AttributeQuery

Adds a JOIN clause to the query using the i18n relation

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### joinWithI18n()

    joinWithI18n(string $locale, string $joinType) : \Thelia\Model\AttributeQuery

Adds a JOIN clause to the query and hydrates the related I18n object.

Shortcut for $c->joinI18n($locale)->with()

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\AttributeQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### useI18nQuery()

    useI18nQuery(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\AttributeI18nQuery

Use the I18n relation query object

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\AttributeI18nQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\AttributeQuery
See also

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\AttributeQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\AttributeQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\AttributeQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\AttributeQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\AttributeQuery

Group by the id column

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\AttributeQuery

Group by the position column

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\AttributeQuery

Group by the created_at column

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\AttributeQuery

Group by the updated_at column

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\AttributeQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\AttributeQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\AttributeQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### leftJoinAttributeAv()

    leftJoinAttributeAv($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a LEFT JOIN clause to the query using the AttributeAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### rightJoinAttributeAv()

    rightJoinAttributeAv($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a RIGHT JOIN clause to the query using the AttributeAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### innerJoinAttributeAv()

    innerJoinAttributeAv($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a INNER JOIN clause to the query using the AttributeAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### leftJoinAttributeCombination()

    leftJoinAttributeCombination($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a LEFT JOIN clause to the query using the AttributeCombination relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### rightJoinAttributeCombination()

    rightJoinAttributeCombination($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a RIGHT JOIN clause to the query using the AttributeCombination relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### innerJoinAttributeCombination()

    innerJoinAttributeCombination($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a INNER JOIN clause to the query using the AttributeCombination relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### leftJoinAttributeCategory()

    leftJoinAttributeCategory($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a LEFT JOIN clause to the query using the AttributeCategory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### rightJoinAttributeCategory()

    rightJoinAttributeCategory($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a RIGHT JOIN clause to the query using the AttributeCategory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### innerJoinAttributeCategory()

    innerJoinAttributeCategory($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a INNER JOIN clause to the query using the AttributeCategory relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### leftJoinAttributeI18n()

    leftJoinAttributeI18n($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a LEFT JOIN clause to the query using the AttributeI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### rightJoinAttributeI18n()

    rightJoinAttributeI18n($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a RIGHT JOIN clause to the query using the AttributeI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### innerJoinAttributeI18n()

    innerJoinAttributeI18n($relationAlias =) : \Thelia\Model\AttributeQuery

Adds a INNER JOIN clause to the query using the AttributeI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeQuery

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Attribute

Return the first ChildAttribute matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Attribute

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Attribute

Return the first ChildAttribute matching the query, or a new ChildAttribute object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Attribute

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Attribute

Return the first ChildAttribute filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Attribute

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\Attribute

Return the first ChildAttribute filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\Attribute

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Attribute

Return the first ChildAttribute filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Attribute

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Attribute

Return the first ChildAttribute filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Attribute

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildAttribute objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildAttribute objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildAttribute objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildAttribute objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Attribute

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Attribute —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Attribute|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Attribute|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\AttributeQuery

## Tags

None found

### AttributeQuery.php